Get account verifications

Prev Next
Get
/accounts/{account_id}/verifications

Retrieves information from the account given an accountId.

Security
OAuth

OAuth Grant type, Private JWT

FlowClient Credentials
Token URL$(host)/oauth/token
Scopes:
accounts.readRetrieving account information
Header parameters
x-client-id
stringRequired

Client ID header.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
x-device
string

Device information permitted for the data query.

You can use this parameter to apply an experience base to optimize data collection.

Min length0
Max length255
Pattern^[a-zA-Z]*$
Path parameters
account_id
Required

Identifier of the account. The number format is defined in the "account_id_type" parameter.

ExampleES8299999999530000000097
Query parameters
account_id_country
string

Account id country

Min length2
Max length2
Pattern^[A-Z]*$
ExampleGB
account_id_type
string

Account id type

Valid values[ "iban", "bban", "uuid" ]
Exampleiban
Responses
200

Data structure showing accounts verifications.

ACCOUNT_VERIFICATIONS_RESPONSE
{
  "accountVerifications": {
    "status": "Blocked-DR",
    "baseCurrency": "GBP",
    "accounting": {
      "accountingId": "virtual_account",
      "accountingName": "Virtual Account"
    },
    "virtualAccountStructureId": "2507b89c-b680-46df-9505-e0c6f78cf295",
    "customer": {
      "customerId": "PNXTGB2LXXXUK1234567891",
      "segmentCode": "sme",
      "customerName": "Customer Company Name",
      "customerAddresses": [
        {
          "floor": "3",
          "state": "Barcelona",
          "country": "ES",
          "postCodeIdentification": "28084"
        }
      ]
    },
    "product": {
      "permittedActivities": [
        "first_party"
      ]
    }
  }
}
Expand All
object

Data structure showing all accounts verifications.

accountVerifications
object (AccountVerifications)

Verifications data of the account

status
string

Account status. The possible values are:

  • Open = Account is open and movements are restricted only by the customers available balance and account contract attributes.
  • Blocked by customer= The account is open but is blocked for credit, blocked for debit, or both, ONLY if this block was set by customer itself. In case it is blocked by other distinct to customer, the status will be Blocked.
  • Blocked = Account has some restrictive block.
  • Closed = Account is closed.
Valid values[ "Open", "Closed", "Blocked by customer", "Blocked", "Blocked-CR", "Blocked-DR" ]
ExampleOpen
baseCurrency
string

Currency code. The value is the alpha-3 format defined in ISO 4217 (https://www.iso.org/iso-4217-currency-codes.html).

Min length3
Max length3
Pattern^[A-Z]*$
ExampleGBP
virtualAccountStructureId
string

UUID identification type

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
accounting
object (Accounting)

Data structure that represent an account type.

accountingId
string

Accounting Identification of the customer account.

Min length0
Max length50
Pattern^[a-z_]*$
Exampleclient_account
accountingName
string

Accounting Name of the customer account.

Min length0
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleClient Account
customer
object (CustomerAssociatedVerifications)

Customer associated with an account.

customerId
string

Customer identifier of the customer whose accounts are to be included in the response. Applies only when Santander staff wants to access data on the customer's behalf.

Min length8
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExamplePNXTGB2LXXXUS1234567890
segmentCode
string

Segment code (classification) in which the bank has categorized the customer. Possible values (sme, corp, mnc, bank, emi, api, regulated_corp, lc, fi, nbfi).

Valid values[ "sme", "corp", "mnc", "bank", "emi", "api", "regulated_corp", "lc", "fi", "nbfi" ]
Examplesme
customerName
string

Customer Name associated with the account

Min length0
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleCustomer Company Name
customerAddresses
Array of object (CustomerAddress) | null

List containing customer addresses

Min items0
Max items200
object

Data structure containing customer addresses

Example{ "floor": 3, "state": "Barcelona", "country": "ES", "postCodeIdentification": 28084 }
product
object (Product)

Product associated with an account.

permittedActivities
Array of string (PermittedActivity)

Activities that the product can handle.

Min items0
Max items200
string

Activity that the customer must handle to apply for the product.

Valid values[ "first_party", "third_party", "third_party_downstream" ]
Examplefirst_party
204

No content

400

Bad Request

INVALID_SCHEMA
{
  "errors": [
    {
      "code": "INVALID_SCHEMA",
      "message": "Invalid input.",
      "level": "ERROR",
      "description": "Error validating schema."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
401

Unauthorized

UNAUTHORIZED
{
  "errors": [
    {
      "code": "UNAUTHORIZED",
      "message": "A token must be provided.",
      "level": "ERROR",
      "description": "There was an error during token verification in header [authorization]"
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
403

Forbidden

OPERATION_NOT_ALLOWED
{
  "errors": [
    {
      "code": "OPERATION_NOT_ALLOWED",
      "message": "operation not allowed due to lack of permissions.",
      "level": "ERROR",
      "description": "Operation not allowed due to lack of permissions."
    }
  ]
}
INVALID_AUTH_TOKEN
{
  "errors": [
    {
      "code": "INVALID_AUTH_TOKEN",
      "message": "The token provided is invalid.",
      "level": "ERROR",
      "description": "Invalid auth token."
    }
  ]
}
FORBIDDEN
{
  "errors": [
    {
      "code": "FORBIDDEN",
      "message": "A token must be provided.",
      "level": "ERROR",
      "description": "Operation not allowed due to lack of permissions."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
404

The account does not exist.

ACCOUNT_NOT_FOUND
{
  "errors": [
    {
      "code": "ACCOUNT_NOT_FOUND",
      "level": "ERROR",
      "message": "Account not found.",
      "description": "The data related to the account with identifier \"a26c7fc3-3f9b-4045-a946-24e565bee1f9\" could not be found."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
405

Method Not Allowed

METHOD_NOT_ALLOWED
{
  "errors": [
    {
      "code": "METHOD_NOT_ALLOWED",
      "level": "ERROR",
      "message": "Method not allowed",
      "description": "The request method is known by the server but is not supported by the target resource."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
406

Not Acceptable

NOT_ACCEPTABLE
{
  "errors": [
    {
      "code": "NOT_ACCEPTABLE",
      "level": "ERROR",
      "message": "Not Acceptable",
      "description": "This response is sent when the web server, after performing server-driven content negotiation, doesn't find any content that conforms to the criteria given by the user agent."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
409

Conflict

CONFLICT
{
  "errors": [
    {
      "code": "CONFLICT",
      "level": "ERROR",
      "message": "Conflict",
      "description": "This response is sent when a request conflicts with the current state of the server."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
413

Payload too large

PAYLOAD_TOO_LARGE
{
  "errors": [
    {
      "code": "PAYLOAD_TOO_LARGE",
      "level": "ERROR",
      "message": "Payload too large",
      "description": "Request entity is larger than limits defined by server. The server might close the connection or return an Retry-After header field."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
414

Request URI Too Long

REQUEST_URI_TOO_LONG
{
  "errors": [
    {
      "code": "URI_TOO_LARGE",
      "level": "ERROR",
      "message": "URI too large",
      "description": "The URI requested by the client is longer than the server is willing to interpret."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
415

Unsupported Media Type

UNSUPPORTED_MEDIA_TYPE
{
  "errors": [
    {
      "code": "UNSUPPORTED_MEDIA_TYPE",
      "level": "ERROR",
      "message": "Unsupported Media Type",
      "description": "The media format of the requested data is not supported by the server, so the server is rejecting the request."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
422

Unprocessable Entity

UNPROCESSABLE_ENTITY
{
  "errors": [
    {
      "code": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "message": "Unprocessable entity.",
      "description": "The request was well-formed but was unable to be followed due to semantic errors."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
429

Too Many Requests

TOO_MANY_REQUESTS
{
  "errors": [
    {
      "code": "TOO_MANY_REQUESTS",
      "level": "ERROR",
      "message": "Too many requests.",
      "description": "The user has sent too many requests in a given amount of time"
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
500

Internal Server Error

INTERNAL_SERVER_ERROR
{
  "errors": [
    {
      "code": "INTERNAL_SERVER_ERROR",
      "message": "Internal Server Error.",
      "level": "ERROR",
      "description": "INTERNAL_SERVER_ERROR"
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
503

Service Down Error

SERVICE_ERROR
{
  "errors": [
    {
      "code": "SERVICE_DOWN_ERROR",
      "message": "Service down error.",
      "level": "ERROR",
      "description": "Service down error."
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
504

Gateway Timeout Error

GATEWAY_TIMEOUT
{
  "errors": [
    {
      "code": "GATEWAY_TIMEOUT_ERROR",
      "message": "Gateway timeout error.",
      "level": "ERROR",
      "description": "Gateway timeout error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema
default

Internal Server Error

INTERNAL_SERVER_ERROR
{
  "errors": [
    {
      "code": "INTERNAL_SERVER_ERROR",
      "message": "Internal Server Error.",
      "level": "ERROR",
      "description": "INTERNAL_SERVER_ERROR"
    }
  ]
}
Expand All
object

Data structure containing the details for errors.

errors
Array of object (Error)

Array of errors.

Min items0
Max items50
object

Data structure containing error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length255
Pattern^[a-zA-Z_0-9-]*$
ExampleINVALID_CODE
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
Exampleinvalid_message
level
string

Level of the reported issue. The possible values are:

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z_0-9_@./#&+-_ '""]*$
ExampleError validating schema